import { AfterViewInit, Component, ViewChild } from '@angular/core';
import { AutoPositionStrategy, IgxInputDirective, IgxTimePickerComponent, OverlaySettings } from 'igniteui-angular';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements AfterViewInit {
  title = 'igx-overlay-settings';

  myOverlaySettings: OverlaySettings = {
    modal: false,
    closeOnOutsideClick: true,
    positionStrategy: new AutoPositionStrategy()
  };

  @ViewChild('target')
  public target: IgxInputDirective;
  val = new Date(0, 0, 0, 19, 35, 30, 0);

  ngAfterViewInit(): void {
    this.myOverlaySettings.target = this.target.nativeElement;
  }

  public onBlur(inputValue, timePickerValue): void {
    const parts = inputValue.split(':');

    if (parts.length === 2) {
      timePickerValue.setHours(parts[0], parts[1]);
    }
  }

  public selectToday(picker: IgxTimePickerComponent): void {
    picker.value = new Date(Date.now());
    picker.close();
  }
}
